> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/generate.md).

# Generate

- [PDF Generation Library using Apryse's Web SDK](https://docs.apryse.com/web/generate/create.md): Effortlessly generate PDF documents using web with Apryse SDK. Create new files from scratch or templates, copy content, embed images, apply security, and more. Enhance your document creation process
- [Create PDF from template using Apryse's Web SDK](https://docs.apryse.com/web/generate/create/from-template.md): Learn how to get file data without a viewer. Retrieve document data from a PDF using Document or PDFDoc objects using JavasScript. Opt for getFileData for easy control and safety over saveMemoryBuffer
- [Template based generation](https://docs.apryse.com/web/generate/template-based-generation.md)
- [Generate PDFs from a template in JavaScript](https://docs.apryse.com/web/generate/template-based-generation/generate-via-template.md): Here is your guide explaining how to generate document accurately and efficiently with JavaScript using Apryse SDK
- [Document Generation Structured Input](https://docs.apryse.com/web/generate/template-based-generation/generate-via-template/structured-input.md): Learn how to use a template engine to enhance your structured input with styled text, lists, hyperlinks, and headers in HTML or markdown format. Contact us for feature suggestions! The Apryse Web SDK
- [Generate PDFs from DOCX/Word Templates using JSON and JavaScript](https://docs.apryse.com/web/generate/template-based-generation/generate-docx-template.md): Generate DOCX/Word templates effortlessly with JSON data using JavaScript. Replace placeholders with dynamic content for personalized documents. Learn how to merge data seamlessly in this comprehensiv
- [Document Generation Data Model](https://docs.apryse.com/web/generate/template-based-generation/data-model.md): Learn about the general principles of template keys and JSON dictionary usage for document creation. Explore various formats for content values like text strings, images, and structured input. Contact
- [Document Generation Advanced Features using JavaScript](https://docs.apryse.com/web/generate/template-based-generation/advanced.md): Discover advanced features for office templates, including behavior for empty loops and false conditionals. Learn about explicit loop scope and table row insertion with insert\_rows. Optimize your temp
- [API for Document Generation via Template using JavaScript](https://docs.apryse.com/web/generate/template-based-generation/apis.md): Discover the essential API functions for accessing Office template generation. Learn how to utilize Web (Javascript) Document#applyTemplateValues and PDFNet.Convert#office2PDF efficiently. The Apryse
- [Create a new blank PDF document using JavaScript](https://docs.apryse.com/web/generate/blank.md): Documentation for creating a new blank PDF document using JavaScript.
- [Generate PDF page thumbnails using Apryse's Web SDK](https://docs.apryse.com/web/generate/thumbnail.md): Generate PDF page thumbnails on Apryse's Web SDK effortlessly. Customize resolution, size, and annotations with the SDK API for high-quality output. The Apryse Web SDK streamlines secure, serverless d
- [Code samples to create / generate PDFs using JavaScript](https://docs.apryse.com/web/generate/samples.md): Learn how to merge, copy, delete, and rearrange PDF pages efficiently. Discover methods for building, writing, and embedding elements in PDFs. Search & replace text or images in existing PDFs with eas
- [API for PDF generation using JavaScript](https://docs.apryse.com/web/generate/apis.md): Create PDF documents easily with utility classes for Web (Javascript) and Node.js (Javascript) using PDFNet.PDFDoc and PDFNet.ElementBuilder. Learn more here! The Apryse Web SDK streamlines secure, se


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/generate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
